## libpythonqt 2.0.1-6%2bsvn20101027

=== examples/CPPPyWrapperExample-build-desktop/Makefile ===
#############################################################################
# Makefile for building: ../../lib/CPPPyWrapperExample_d
# Generated by qmake (2.01a) (Qt 4.7.0) on: Sat Oct 30 10:12:29 2010
# Project:  ../CPPPyWrapperExample/CPPPyWrapperExample.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -spec /usr/share/qt4/mkspecs/linux-g++ CONFIG+=debug -o Makefile ../CPPPyWrapperExample/CPPPyWrapperExample.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I../CPPPyWrapperExample -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I../../src -I. -I../CPPPyWrapperExample -I.
LINK          = g++
LFLAGS        = 
LIBS          = $(SUBLIBS)  -L/usr/lib -L/scratchbox/users/simon/home/simon/build/PythonQt/pythonqt/trunk/build/../lib -lPythonQt_d -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = ../CPPPyWrapperExample/CPPPyWrapperExample.cpp qrc_CPPPyWrapperExample.cpp
OBJECTS       = CPPPyWrapperExample.o \
		qrc_CPPPyWrapperExample.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../build/common.prf \
		../../build/python.prf \
		../../build/PythonQt.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		../CPPPyWrapperExample/CPPPyWrapperExample.pro
QMAKE_TARGET  = CPPPyWrapperExample_d
DESTDIR       = ../../lib/
TARGET        = ../../lib/CPPPyWrapperExample_d

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	@$(CHK_DIR_EXISTS) ../../lib/ || $(MKDIR) ../../lib/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: ../CPPPyWrapperExample/CPPPyWrapperExample.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../build/common.prf \
		../../build/python.prf \
		../../build/PythonQt.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ CONFIG+=debug -o Makefile ../CPPPyWrapperExample/CPPPyWrapperExample.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
../../build/common.prf:
../../build/python.prf:
../../build/PythonQt.prf:
/usr/share/qt4/mkspecs/features/debug.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ CONFIG+=debug -o Makefile ../CPPPyWrapperExample/CPPPyWrapperExample.pro

dist: 
	@$(CHK_DIR_EXISTS) ../CPPPyWrapperExample/.tmp/CPPPyWrapperExample_d1.0.0 || $(MKDIR) ../CPPPyWrapperExample/.tmp/CPPPyWrapperExample_d1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../CPPPyWrapperExample/.tmp/CPPPyWrapperExample_d1.0.0/ && $(COPY_FILE) --parents ../CPPPyWrapperExample/CPPPyWrapperExample.qrc ../CPPPyWrapperExample/.tmp/CPPPyWrapperExample_d1.0.0/ && $(COPY_FILE) --parents ../CPPPyWrapperExample/CPPPyWrapperExample.cpp ../CPPPyWrapperExample/.tmp/CPPPyWrapperExample_d1.0.0/ && (cd `dirname ../CPPPyWrapperExample/.tmp/CPPPyWrapperExample_d1.0.0` && $(TAR) CPPPyWrapperExample_d1.0.0.tar CPPPyWrapperExample_d1.0.0 && $(COMPRESS) CPPPyWrapperExample_d1.0.0.tar) && $(MOVE) `dirname ../CPPPyWrapperExample/.tmp/CPPPyWrapperExample_d1.0.0`/CPPPyWrapperExample_d1.0.0.tar.gz . && $(DEL_FILE) -r ../CPPPyWrapperExample/.tmp/CPPPyWrapperExample_d1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all: qrc_CPPPyWrapperExample.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_CPPPyWrapperExample.cpp
qrc_CPPPyWrapperExample.cpp: ../CPPPyWrapperExample/CPPPyWrapperExample.qrc \
		../CPPPyWrapperExample/eyed3tagger.py
	/usr/bin/rcc -name CPPPyWrapperExample ../CPPPyWrapperExample/CPPPyWrapperExample.qrc -o qrc_CPPPyWrapperExample.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_rcc_clean 

####### Compile

CPPPyWrapperExample.o: ../CPPPyWrapperExample/CPPPyWrapperExample.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o CPPPyWrapperExample.o ../CPPPyWrapperExample/CPPPyWrapperExample.cpp

qrc_CPPPyWrapperExample.o: qrc_CPPPyWrapperExample.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qrc_CPPPyWrapperExample.o qrc_CPPPyWrapperExample.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:
