## libpythonqt 2.0.1-5%2bsvn20101027

=== debian/changelog ===
libpythonqt (2.0.1-5+svn20101027) unstable; urgency=low

  * Build against SVN trunk rather than 2.0.1 release tarball

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Wed, 27 Oct 2010 09:26:00 +0100
