=== debian/control ===
Source: libpythonqt
Section: libs
Priority: extra
Maintainer: Simon Pickering <S.G.Pickering@bath.ac.uk>
Build-Depends: debhelper (>= 5), libqt4-dev, python-dev
Standards-Version: 3.7.2

Package: libpythonqt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PythonQt is a dynamic Python binding for the Qt framework. It is not PyQt!
 PythonQt is a dynamic Python binding for the Qt framework. It offers an easy way to embed 
 the Python scripting language into your C++ Qt applications. The focus of PythonQt  is on 
 embedding Python into an existing C++ application, not on writing the whole application 
 completely in Python. If you want to write your whole application in Python, you should use 
 PyQt or PySide instead.
