## libpythonqt 2.0.1-6%2bsvn20101027

=== debian/changelog ===
libpythonqt (2.0.1-6+svn20101027) unstable; urgency=low

  * Add runtime Python dep, doh!

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Sat, 30 Oct 2010 14:46:00 +0100
