=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: libpythonqt
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, python
 Description: PythonQt is a dynamic Python binding for the Qt framework. It is not PyQt!
  PythonQt is a dynamic Python binding for the Qt framework. It offers an easy way to embed 
  the Python scripting language into your C++ Qt applications. The focus of PythonQt  is on
