=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

APPNAME := libpythonqt

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

#builddir:
#	mkdir -p builddir
#
#builddir/Makefile: builddir
#	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro
#
#build: build-stamp
#
#build-stamp: builddir/Makefile
#builddir:
#	mkdir -p builddir
#
Makefile:
	#qmake-qt4 PREFIX=/usr ../$(APPNAME).pro
	qmake-qt4 PREFIX=/usr ./$(APPNAME).pro

build: build-stamp

build-stamp: Makefile
	dh_testdir

	# Add here commands to compile the package.
	#cd builddir && $(MAKE)
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	#rm -rf builddir
	-$(MAKE) distclean
	#rm -rf ./debian/libpythonqt-dbg
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/libpythonqt.
	#cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip #--dbg-package=libpythonqt-dbg
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
